Get ARR report

View as Markdown

Authentication

Authorizationstring
API Key authentication via header

Query parameters

pagedoubleOptionalDefaults to 1
Page Number
limitdoubleOptionalDefaults to 50
Max items per page. Defaults to 50. Values above 500 will be rejected.
filterstringOptional
Format: field:rule:value — comma-separated for multiple filters. Fields: startMonth (string): eq, gte, lte endMonth (string): eq, gte, lte customerId (uuid): eq, gte, lte currency (string): eq, gte, lte Example: filter=startMonth:eq:value Format: `startMonth`/`endMonth` must be `YYYY-MM` (e.g. `2026-01`); `currency` must be a valid ISO 4217 code (e.g. `USD`, `EUR`).

Response

Get ARR by filter
payloadobject
Response payload, will be empty when success is false
successboolean

Boolean with true=success, false=failure

messagestring

Plain-text description of the result

errorobject
json element with any error messages or warnings